package com.zjrs.ggfw.portal.dto;

import jakarta.validation.constraints.NotBlank;

public class EMSORderXxDTO {
    @NotBlank(message = "受理流水号不能为空")
    private String sllsh;
    private String custOrderId;
    private String slbh;
    private String postfee;
    private String xdsj;
    private String tcustprovince;
    private String tcustcity;
    private String tcustcounty;
    private String tcustProvinceCode;
    private String tcustCityCode;
    private String tcustCountyCode;
    private String tcustaddress;
    private String tcontactor;
    private String tcustmobile;
    private String payurl;
    private String orderStatus;
    private String payway;
    private String paytime;
    private String sjadress;

    public String getSjadress() {
        return sjadress;
    }

    public void setSjadress(String sjadress) {
        this.sjadress = sjadress;
    }

    public String getTcustProvinceCode() {
        return tcustProvinceCode;
    }

    public void setTcustProvinceCode(String tcustProvinceCode) {
        this.tcustProvinceCode = tcustProvinceCode;
    }

    public String getTcustCityCode() {
        return tcustCityCode;
    }

    public void setTcustCityCode(String tcustCityCode) {
        this.tcustCityCode = tcustCityCode;
    }

    public String getTcustCountyCode() {
        return tcustCountyCode;
    }

    public void setTcustCountyCode(String tcustCountyCode) {
        this.tcustCountyCode = tcustCountyCode;
    }

    public String getPaytime() {
        return paytime;
    }

    public void setPaytime(String paytime) {
        this.paytime = paytime;
    }

    public String getPayway() {
        return payway;
    }

    public void setPayway(String payway) {
        this.payway = payway;
    }

    public String getCustOrderId() {
        return custOrderId;
    }

    public void setCustOrderId(String custOrderId) {
        this.custOrderId = custOrderId;
    }

    public String getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }

    public String getPayurl() {
        return payurl;
    }

    public void setPayurl(String payurl) {
        this.payurl = payurl;
    }

    public String getSlbh() {
        return slbh;
    }

    public void setSlbh(String slbh) {
        this.slbh = slbh;
    }

    public String getSllsh() {
        return sllsh;
    }

    public void setSllsh(String sllsh) {
        this.sllsh = sllsh;
    }

    public String getPostfee() {
        return postfee;
    }

    public void setPostfee(String postfee) {
        this.postfee = postfee;
    }

    public String getXdsj() {
        return xdsj;
    }

    public void setXdsj(String xdsj) {
        this.xdsj = xdsj;
    }

    public String getTcustprovince() {
        return tcustprovince;
    }

    public void setTcustprovince(String tcustprovince) {
        this.tcustprovince = tcustprovince;
    }

    public String getTcustcity() {
        return tcustcity;
    }

    public void setTcustcity(String tcustcity) {
        this.tcustcity = tcustcity;
    }

    public String getTcustcounty() {
        return tcustcounty;
    }

    public void setTcustcounty(String tcustcounty) {
        this.tcustcounty = tcustcounty;
    }

    public String getTcustaddress() {
        return tcustaddress;
    }

    public void setTcustaddress(String tcustaddress) {
        this.tcustaddress = tcustaddress;
    }

    public String getTcontactor() {
        return tcontactor;
    }

    public void setTcontactor(String tcontactor) {
        this.tcontactor = tcontactor;
    }

    public String getTcustmobile() {
        return tcustmobile;
    }

    public void setTcustmobile(String tcustmobile) {
        this.tcustmobile = tcustmobile;
    }

    @Override
    public String toString() {
        return "EMSORderXxDTO{" +
                "sllsh='" + sllsh + '\'' +
                ", custOrderId='" + custOrderId + '\'' +
                ", slbh='" + slbh + '\'' +
                ", postfee='" + postfee + '\'' +
                ", xdsj='" + xdsj + '\'' +
                ", tcustprovince='" + tcustprovince + '\'' +
                ", tcustcity='" + tcustcity + '\'' +
                ", tcustcounty='" + tcustcounty + '\'' +
                ", tcustaddress='" + tcustaddress + '\'' +
                ", tcontactor='" + tcontactor + '\'' +
                ", tcustmobile='" + tcustmobile + '\'' +
                ", payurl='" + payurl + '\'' +
                ", orderStatus='" + orderStatus + '\'' +
                ", payway='" + payway + '\'' +
                '}';
    }
}

